Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet
Class HttpHeaders

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.HttpHeaders

    public class HttpHeaders

extends Object

Class containing constants for HTTP headers.

Since:
  1.0

  Created: Nov 21, 2007
Author:
  Graeme Rocher

Field Summary
`static String` | `ACCEPT`
`static String` | `ACCEPT_CHARSET`
`static String` | `ACCEPT_ENCODING`
`static String` | `ACCEPT_LANGUAGE`
`static String` | `ACCEPT_RANGES`
`static String` | `AGE`
`static String` | `ALLOW`
`static String` | `AUTHORIZATION`
`static String` | `CACHE_CONTROL`
`static String` | `CONNECTION`
`static String` | `CONTENT_ENCODING`
`static String` | `CONTENT_LANGUAGE`
`static String` | `CONTENT_LENGTH`
`static String` | `CONTENT_LOCATION`
`static String` | `CONTENT_MD5`
`static String` | `CONTENT_RANGE`
`static String` | `CONTENT_TYPE`
`static String` | `COOKIE`
`static String` | `DATE`
`static String` | `ETAG`
`static String` | `EXPECT`
`static String` | `EXPIRES`
`static String` | `FORWARDED`
`static String` | `FROM`
`static String` | `HOST`
`static String` | `IDENTITY`
`static String` | `IF_MATCH`
`static String` | `IF_MODIFIED_SINCE`
`static String` | `IF_NONE_MATCH`
`static String` | `IF_RANGE`
`static String` | `IF_UNMODIFIED_SINCE`
`static String` | `KEEP_ALIVE`
`static String` | `LAST_MODIFIED`
`static String` | `LOCATION`
`static String` | `MAX_FORWARDS`
`static String` | `MIME_VERSION`
`static String` | `PRAGMA`
`static String` | `PROXY_AUTHENTICATE`
`static String` | `PROXY_AUTHORIZATION`
`static String` | `PROXY_CONNECTION`
`static String` | `RANGE`
`static String` | `REFERER`
`static String` | `REQUEST_RANGE`
`static String` | `RETRY_AFTER`
`static String` | `SERVER`
`static String` | `SERVLET_ENGINE`
`static String` | `SET_COOKIE`
`static String` | `SET_COOKIE2`
`static String` | `TE`
`static String` | `TRAILER`
`static String` | `TRANSFER_ENCODING`
`static String` | `UPGRADE`
`static String` | `USER_AGENT`
`static String` | `VARY`
`static String` | `VIA`
`static String` | `WARNING`
`static String` | `WWW_AUTHENTICATE`
`static String` | `X_FORWARDED_FOR`

Constructor Summary
`HttpHeaders()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONNECTION

    public static final String CONNECTION

See Also:
  Constant Field Values

### CACHE_CONTROL

    public static final String CACHE_CONTROL

See Also:
  Constant Field Values

### DATE

    public static final String DATE

See Also:
  Constant Field Values

### PRAGMA

    public static final String PRAGMA

See Also:
  Constant Field Values

### PROXY_CONNECTION

    public static final String PROXY_CONNECTION

See Also:
  Constant Field Values

### TRAILER

    public static final String TRAILER

See Also:
  Constant Field Values

### TRANSFER_ENCODING

    public static final String TRANSFER_ENCODING

See Also:
  Constant Field Values

### UPGRADE

    public static final String UPGRADE

See Also:
  Constant Field Values

### VIA

    public static final String VIA

See Also:
  Constant Field Values

### WARNING

    public static final String WARNING

See Also:
  Constant Field Values

### ALLOW

    public static final String ALLOW

See Also:
  Constant Field Values

### CONTENT_ENCODING

    public static final String CONTENT_ENCODING

See Also:
  Constant Field Values

### CONTENT_LANGUAGE

    public static final String CONTENT_LANGUAGE

See Also:
  Constant Field Values

### CONTENT_LENGTH

    public static final String CONTENT_LENGTH

See Also:
  Constant Field Values

### CONTENT_LOCATION

    public static final String CONTENT_LOCATION

See Also:
  Constant Field Values

### CONTENT_MD5

    public static final String CONTENT_MD5

See Also:
  Constant Field Values

### CONTENT_RANGE

    public static final String CONTENT_RANGE

See Also:
  Constant Field Values

### CONTENT_TYPE

    public static final String CONTENT_TYPE

See Also:
  Constant Field Values

### EXPIRES

    public static final String EXPIRES

See Also:
  Constant Field Values

### LAST_MODIFIED

    public static final String LAST_MODIFIED

See Also:
  Constant Field Values

### ACCEPT

    public static final String ACCEPT

See Also:
  Constant Field Values

### ACCEPT_CHARSET

    public static final String ACCEPT_CHARSET

See Also:
  Constant Field Values

### ACCEPT_ENCODING

    public static final String ACCEPT_ENCODING

See Also:
  Constant Field Values

### ACCEPT_LANGUAGE

    public static final String ACCEPT_LANGUAGE

See Also:
  Constant Field Values

### AUTHORIZATION

    public static final String AUTHORIZATION

See Also:
  Constant Field Values

### EXPECT

    public static final String EXPECT

See Also:
  Constant Field Values

### FORWARDED

    public static final String FORWARDED

See Also:
  Constant Field Values

### FROM

    public static final String FROM

See Also:
  Constant Field Values

### HOST

    public static final String HOST

See Also:
  Constant Field Values

### IF_MATCH

    public static final String IF_MATCH

See Also:
  Constant Field Values

### IF_MODIFIED_SINCE

    public static final String IF_MODIFIED_SINCE

See Also:
  Constant Field Values

### IF_NONE_MATCH

    public static final String IF_NONE_MATCH

See Also:
  Constant Field Values

### IF_RANGE

    public static final String IF_RANGE

See Also:
  Constant Field Values

### IF_UNMODIFIED_SINCE

    public static final String IF_UNMODIFIED_SINCE

See Also:
  Constant Field Values

### KEEP_ALIVE

    public static final String KEEP_ALIVE

See Also:
  Constant Field Values

### MAX_FORWARDS

    public static final String MAX_FORWARDS

See Also:
  Constant Field Values

### PROXY_AUTHORIZATION

    public static final String PROXY_AUTHORIZATION

See Also:
  Constant Field Values

### RANGE

    public static final String RANGE

See Also:
  Constant Field Values

### REQUEST_RANGE

    public static final String REQUEST_RANGE

See Also:
  Constant Field Values

### REFERER

    public static final String REFERER

See Also:
  Constant Field Values

### TE

    public static final String TE

See Also:
  Constant Field Values

### USER_AGENT

    public static final String USER_AGENT

See Also:
  Constant Field Values

### X_FORWARDED_FOR

    public static final String X_FORWARDED_FOR

See Also:
  Constant Field Values

### ACCEPT_RANGES

    public static final String ACCEPT_RANGES

See Also:
  Constant Field Values

### AGE

    public static final String AGE

See Also:
  Constant Field Values

### ETAG

    public static final String ETAG

See Also:
  Constant Field Values

### LOCATION

    public static final String LOCATION

See Also:
  Constant Field Values

### PROXY_AUTHENTICATE

    public static final String PROXY_AUTHENTICATE

See Also:
  Constant Field Values

### RETRY_AFTER

    public static final String RETRY_AFTER

See Also:
  Constant Field Values

### SERVER

    public static final String SERVER

See Also:
  Constant Field Values

### SERVLET_ENGINE

    public static final String SERVLET_ENGINE

See Also:
  Constant Field Values

### VARY

    public static final String VARY

See Also:
  Constant Field Values

### WWW_AUTHENTICATE

    public static final String WWW_AUTHENTICATE

See Also:
  Constant Field Values

### COOKIE

    public static final String COOKIE

See Also:
  Constant Field Values

### SET_COOKIE

    public static final String SET_COOKIE

See Also:
  Constant Field Values

### SET_COOKIE2

    public static final String SET_COOKIE2

See Also:
  Constant Field Values

### MIME_VERSION

    public static final String MIME_VERSION

See Also:
  Constant Field Values

### IDENTITY

    public static final String IDENTITY

See Also:
  Constant Field Values

Constructor Detail

### HttpHeaders

    public HttpHeaders()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project